#ifndef IPRINTF_H
#define IPRINTF_H

#include <stdarg.h>

#define MOBA_OVERIDE_STD_PRINTF 1

#define moba_iprintf iprintf
#define moba_siprintf siprintf
#define moba_vsiprintf vsiprintf

#if MOBA_OVERIDE_STD_PRINTF
#define sprintf moba_siprintf
#define printf moba_iprintf
#endif

#define MOBA_PRINTF moba_iprintf
#define MOBA_SPRINTF moba_siprintf

int moba_iprintf(const char *format, ...);
int moba_siprintf(char *string, const char *format, ...);
int moba_vsiprintf(char *buf, const char *format, va_list arp);

extern void moba_putchar(int ch);

#endif /* IPRINTF_H */

